# Maintainer: Tizen PM?
# You need ACK (+1) from the maintainer to be reviewed by building-block maintainers.

##################
###  ARTIK530  ###
##################
%package sub1-Preset_boards-ARTIK530_HAL_Backend
Summary:	ARTIK530 Selection for HAL
Requires:	model-config-generic-hal
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Requires:	%{name}-sub2-Preset_boards-ARTIK530_HAL_Backend-Codec

%description sub1-Preset_boards-ARTIK530_HAL_Backend
Firstly select HAL Backends to add to your image.
%files sub1-Preset_boards-ARTIK530_HAL_Backend
%posttrans sub1-Preset_boards-ARTIK530_HAL_Backend
%tizen_hal_feature tizen.org/system/platform.processor exynos
%tizen_hal_feature tizen.org/system/platform.communication_processor none
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch armv7
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch.armv7 true
%tizen_hal_feature tizen.org/feature/platform.core.cpu.arch.armv8 false
%tizen_hal_feature tizen.org/feature/platform.core.cpu.frequency 1200
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch vfpv3
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch.vfpv3 true
%tizen_hal_feature tizen.org/feature/platform.core.fpu.arch.vfpv4 false
%tizen_hal_feature tizen.org/feature/network.ethernet true
%tizen_hal_feature tizen.org/feature/network.internet true
%tizen_hal_feature tizen.org/feature/network.asp true
%tizen_hal_feature tizen.org/feature/network.mtp true
%tizen_hal_feature tizen.org/feature/network.push true
%tizen_hal_feature tizen.org/feature/network.wifi true
%tizen_hal_feature tizen.org/feature/network.inm true
%tizen_hal_feature tizen.org/feature/network.service_discovery.dnssd true
%tizen_hal_feature tizen.org/feature/network.service_discovery.ssdp true
%tizen_hal_feature tizen.org/feature/network.wifi.tdls false
%tizen_hal_feature tizen.org/feature/network.wifi.softap true
%tizen_hal_feature tizen.org/feature/network.wifi.direct true
%tizen_hal_feature tizen.org/feature/network.wifi.direct.display true
%tizen_hal_feature tizen.org/feature/network.vpn true
%tizen_hal_feature tizen.org/feature/network.tethering true
%tizen_hal_feature tizen.org/feature/network.tethering.wifi true
%tizen_hal_feature tizen.org/feature/network.traffic_control true
%tizen_hal_feature tizen.org/feature/screen.height 720
%tizen_hal_feature tizen.org/feature/screen.output.hdmi true
%tizen_hal_feature tizen.org/feature/screen.output.rca false
%tizen_hal_feature tizen.org/feature/screen.shape.circle false
%tizen_hal_feature tizen.org/feature/screen.shape.rectangle true
%tizen_hal_feature tizen.org/feature/screen.size.normal.720.1280 true
%tizen_hal_feature tizen.org/feature/screen.width 1280
%tizen_hal_feature tizen.org/feature/sensor.accelerometer false
%tizen_hal_feature tizen.org/feature/sensor.gravity false
%tizen_hal_feature tizen.org/feature/sensor.linear_acceleration false
%tizen_hal_feature tizen.org/feature/sensor.proximity false
%tizen_hal_feature tizen.org/feature/sensor.temperature false
%tizen_hal_feature tizen.org/feature/sensor.heart_rate_monitor.batch false
%tizen_hal_feature tizen.org/feature/sensor.heart_rate_monitor.led_green.batch false
%tizen_hal_feature tizen.org/feature/storage.external true
%tizen_hal_feature tizen.org/feature/peripheral_io.gpio true
%tizen_hal_feature tizen.org/feature/peripheral_io.i2c true
%tizen_hal_feature tizen.org/feature/peripheral_io.pwm true
%tizen_hal_feature tizen.org/feature/peripheral_io.adc true
%tizen_hal_feature tizen.org/feature/peripheral_io.spi true
%tizen_hal_feature tizen.org/feature/peripheral_io.uart true
%tizen_hal_feature tizen.org/system/model_name artik
%tizen_hal_feature tizen.org/feature/diagnostics true
%tizen_hal_feature tizen.org/feature/iot.ocf true
%tizen_hal_feature tizen.org/feature/usb.host true
%tizen_hal_feature tizen.org/feature/download true

### ARTIK530-System_Device ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Summary:	ARTIK530_Deviced Plugin for HAL
Requires:	hal-backend-device-artik

%description sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
Packages for Deviced HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-System_Device
%tizen_hal_feature tizen.org/feature/thermistor.ap true

### ARTIK530-Bluetooth ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Summary:	ARTIK530_Bluetooth for HAL
Requires:	bluetooth-firmware-marvell-artik530

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
Packages of Bluetooth HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-Bluetooth
%tizen_hal_feature tizen.org/feature/network.bluetooth true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.call true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.controller true
%tizen_hal_feature tizen.org/feature/network.bluetooth.audio.media true
%tizen_hal_feature tizen.org/feature/network.bluetooth.phonebook.client true
%tizen_hal_feature tizen.org/feature/network.bluetooth.opp true
%tizen_hal_feature tizen.org/feature/network.bluetooth.hid true
%tizen_hal_feature tizen.org/feature/network.bluetooth.hid_device true
%tizen_hal_feature tizen.org/feature/network.bluetooth.health true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.server true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.gatt.client true
%tizen_hal_feature tizen.org/feature/network.bluetooth.oob true
%tizen_hal_feature tizen.org/feature/network.bluetooth.le.5_0 false

### ARTIK530-Audio ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Summary:	ARTIK530_Audio for HAL
Requires:	audio-hal-alc5658
Requires:	alsa-ucm-data-alc5658
Requires:	media-config-target-artik10

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
Packages of Audio HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-Audio
%tizen_hal_feature tizen.org/feature/microphone true
%tizen_hal_feature tizen.org/feature/media.audio_recording true

### ARTIK530-GPS ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Summary:	ARTIK530_GPS
Requires:	lbs-server-plugin-replay

%description sub2-Preset_boards-ARTIK530_HAL_Backend-GPS
Packages of GPS HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-GPS

### ARTIK530-Camera_Common ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Summary:	ARTIK530_Camera(Common) for HAL
Requires:	media-config-target-artik10
Requires:	camera-hal-v4l2

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
Packages of Camera HAL and Feature for ARTIK530(Common).
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-Camera_Common
%tizen_hal_feature tizen.org/feature/camera true
%tizen_hal_feature tizen.org/feature/camera.back true
%tizen_hal_feature tizen.org/feature/camera.back.flash false
%tizen_hal_feature tizen.org/feature/camera.front false
%tizen_hal_feature tizen.org/feature/camera.front.flash false
%tizen_hal_feature tizen.org/feature/media.video_recording true

### ARTIK530-Display ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Summary:	ARTIK530_Display for HAL
Requires:	hal-backend-tbm-nexell
Requires:	hal-backend-tdm-nexell

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Display
Packages of Display HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Display
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-Display
%tizen_hal_feature tizen.org/feature/graphics.acceleration true
%tizen_hal_feature tizen.org/feature/multi_point_touch.pinch_zoom true
%tizen_hal_feature tizen.org/feature/opengles true
%tizen_hal_feature tizen.org/feature/opengles.version.1_1 true
%tizen_hal_feature tizen.org/feature/opengles.version.2_0 true
%tizen_hal_feature tizen.org/feature/opengles.version.3_0 false
%tizen_hal_feature tizen.org/feature/opengles.version.3_1 false
%tizen_hal_feature tizen.org/feature/opengles.version.3_2 false
%tizen_hal_feature tizen.org/feature/vulkan.version.1_0 false
%tizen_hal_feature tizen.org/feature/screen true
%tizen_hal_feature tizen.org/feature/display false

### ARTIK530-Codec ###
%package sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
Summary:	ARTIK530_Codec for HAL
Requires:	nx-gst-meta
Requires:	nx-video-api
Requires:	gst-plugins-video-dec
Requires:	gst-plugins-video-enc
Requires:	media-config-target-artik10

%description sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
Packages of Codec HAL and Feature for ARTIK530.
%files sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
%posttrans sub2-Preset_boards-ARTIK530_HAL_Backend-Codec
%tizen_hal_feature tizen.org/feature/multimedia.media_codec true
