# Maintainer: Tizen IoT PM
# You need ACK (+1) from the maintainer to be reviewed by building-blocks maintainers.

################################
### Preset for IoT Headless  ###
################################
%package root-Preset_img_headless
Summary:    IOT Headless Images
%ifarch armv7l aarch64
Suggests:	%{name}-sub1-Preset_img_headless-common
%endif

%description root-Preset_img_headless
__EXPAND__: preset
The IoT Headless Images.
%files root-Preset_img_headless

%ifarch armv7l aarch64
###########################
### IOT Headless COMMON ###
###########################
%package sub1-Preset_img_headless-common
Summary:	IOT Headless COMMON Image
Requires:	%{name}-root-Preset_iot_headless
Requires:	%{name}-sub1-Preset_boards-COMMON
Requires:	%{name}-sub2-Preset_boards-COMMON-Audio
#From TRE-2737
Requires:	alsa-utils
Requires:	pulseaudio-utils
Requires:	%{name}-sub2-Preset_boards-COMMON-Bluetooth
Requires:	%{name}-sub2-Preset_boards-COMMON-BLE
Requires:	%{name}-sub2-Preset_boards-COMMON-Display_Headless
Requires:	%{name}-sub2-Preset_boards-COMMON-Wifi

### PARTITION ###
Requires:	%{name}-sub1-Preset_partition-2parts_ramdisk_recovery

Requires:	%{name}-sub2-domain_API-AppFramework-TPK_Installation
Requires:	%{name}-sub2-domain_API-Base-Utils
Requires:	%{name}-sub2-domain_API-Multimedia-Player
Requires:	%{name}-sub2-domain_API-Network-Bluetooth_Media_Audio
Requires:	%{name}-sub2-domain_API-Network-Curl
Requires:       %{name}-sub1-domain_Feature-Diagnostics
Requires:	%{name}-sub1-domain_Feature-Upgrade
Requires:	%{name}-sub1-domain_Feature-Setup
Requires:	tar
Requires:	system-plugin-config-env-headless
Requires:	bluez-plugin-headless
Requires:	%{name}-sub1-domain_Feature-Recovery
Requires:	%{name}-sub1-domain_Feature-Setup
Requires:	capi-network-wifi-manager-tool
Requires:	%{name}-sub1-domain_Feature-Resource_manager_Headless
Requires:	%{name}-sub2-domain_API-System-Runtime_Information
Requires:	capi-network-tethering
Requires:	%{name}-sub1-domain_Feature-Power_manager
Requires:	security-config-profile_iot_headless
Requires:	%{name}-sub2-domain_API-MachineLearning-NNStreamer
Requires:	%{name}-sub2-Preset_boards-COMMON-Bluetooth_CallAudio
Requires:	%{name}-sub2-domain_API-Network-SoftAP
Requires:	%{name}-sub2-Preset_boards-COMMON-UserAwareness
Requires:	initrd-flash
Requires:	reboot-param-helper
#From TRE-2811
Requires:	nsjail
#From TRE-2816
Requires:   deviced-plugin-profile-iot-headless

### Will be removed ###
Conflicts:	%{name}-sub1-Preset_img_headed-common

%description sub1-Preset_img_headless-common
The packages of Tizen IoT Headless for COMMON.
%files sub1-Preset_img_headless-common

%endif


